#ifndef CHALETMODBUSSERVER_H
#define CHALETMODBUSSERVER_H

#include <QObject>
#include <ModbusBackend.h>

class CChaletDevice;

class CChaletModbusServer : public CModbusBackend
{
    Q_OBJECT

public:
    CChaletModbusServer(CModbusRepository *Repo, int ModbusPort, int DevID);
    virtual ~CChaletModbusServer();

    int StartChaletModbusServer();
    int CloseChaletModbusServer();
    bool IsModbusConnected();



    virtual void RegistersDatabaseUpdated(quint16 StartAddress, quint16 Length);
    virtual void ModbusRequestException(quint8 ExceptionCode, quint8 FctCode);
};

#endif // CHALETMODUBSERVER_H
